Create toolset
curl --request POST \
--url https://api.engini.io/v1/toolsets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"connections": [
{
"connectionId": 123,
"applicationSlug": "<string>",
"toolSlugs": [
"<string>"
]
}
],
"workflows": [
"<string>"
]
}
'import requests
url = "https://api.engini.io/v1/toolsets"
payload = {
"name": "<string>",
"connections": [
{
"connectionId": 123,
"applicationSlug": "<string>",
"toolSlugs": ["<string>"]
}
],
"workflows": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
connections: [{connectionId: 123, applicationSlug: '<string>', toolSlugs: ['<string>']}],
workflows: ['<string>']
})
};
fetch('https://api.engini.io/v1/toolsets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"toolsetId": "<string>",
"name": "<string>",
"connections": [
{
"connectionId": 123,
"applicationSlug": "<string>",
"toolSlugs": [
"<string>"
],
"applicationName": "<string>"
}
],
"workflows": [
"<string>"
],
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"createdByAccountUserId": 123,
"updatedByAccountUserId": 123
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}Toolsets
Create toolset
Create a new toolset for the caller.
POST
/
v1
/
toolsets
Create toolset
Authorizations
BearerApiKey
Enter your JWT token
Body
application/json
The toolset creation payload.
Response
The newly created toolset.
Public-shape DTO for a toolset (per-account-user, named scope bundling specific connections + an allowed tool set). See toolsets-and-connections-spec.md.
Unique identifier of the toolset (the MCPServer token GUID).
Display name of the toolset.
Connections included in this toolset and their permitted tools.
Show child attributes
Show child attributes
Workflow token GUIDs included in this toolset.
When the toolset was created.
When the toolset was last updated; null if never updated.
Account-user ID that created the toolset.
Account-user ID that last updated the toolset; null/0 until first updated.
⌘I